from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

# Get the long description from the README file
long_description = (here / "README.md").read_text(encoding="utf-8")

setup(
    name='wrapper_1inch',
    version='1.0.2',
    url='https://github.com/RichardAtCT/1inch_wrapper',
    long_description_content_type="text/markdown",
    long_description=long_description,
    keywords="1inch, wrapper, aggregator, DEX",
    packages=find_packages(where="oneinch_wrapper"),
    python_requires=">=3.7, <4",
    license='MIT',
    author='RichardAt',
    author_email='richardatk01@gmail.com',
    description='a Python wrapper for the 1inch API'
)
